v10.5.2 Official announcement can be found here:
https://getsol.us/2020/12/02/budgie-10-5-2-released/

Text of the announcement reproduced below:
Quality of Life

Budgie 10.5.2 introduces new goodies to make your Budgie experience even better!
Applets
Budgie Menu

Budgie Menu has received various refinements for this release:

    Budgie Menu introduces additional checks for an application’s DesktopAppInfo, ensuring that we consistently skip apps and exclude them from calculations when they have Hidden or NoDisplay set, as well as if the NotShowIn contains Budgie.
    Budgie Menu will no longer show empty categories, a common occurrence when installing applications via WINE.
    Budgie Menu will now alphabetically sort category names, which is useful when you have custom user desktop directories for applications. They are no longer forced to be below default system-wide desktop directories such as Internet / Networking, Office, Sound & Video, etc.
    Applications which utilize pkexec in their desktop info will now spawn an asynchronous process, with pkexec being the command and passing the rest of the command line content as arguments.

Icon Tasklist
The Icon Tasklist applet has seen new features and behaviour refinements in Budgie 10.5.2.

There are now two new options available, disabled by default, to launch a new instance of an application via the respective button for the application: middle click and double click. This expands on our existing option to create a new instance of an application by clicking the + button in the popover of each Icon Button.

The behavior of the Icon Tasklist has been refined in Budgie 10.5.2. We have consolidated duplicate logic in other less used classes into our dedicated application state tracking class, which is used by the Icon Tasklist and IconPopover to provide a list of running applications, their AppInfo, any group they belong to, and more. This consolidation has meant more consistent “skip pager” checks, as well as more consistent rejection of various types of windows, such as:

    DOCK (like budgie-panel)
    SPLASHSCREEN (temporary splash screen apps, like what you would see for GIMP or LibreOffice)
    UTILITY (like controls for an emulator).

Thanks to this more consistent window type rejection, we are able to more closely discern between what is budgie-panel versus what is budgie-desktop-settings, which is part of the panel but is otherwise a NORMAL type application. This enabled us to resolve an issue where the pin and new instance buttons were being unintentionally shown, as well as an issue where you could not close Budgie Desktop Settings via the IconPopover controls (right click popover for each Icon Button in the tasklist).

After close discussions with members of the community on our forums on the expected behaviour of the Icon Tasklist, time was spent refining the behaviour of Icon Tasklist and individual Icon Buttons to be more consistent. Here are some examples:

    When the “Show All Windows on Click” option is enabled, we will now more consistently show or minimize all windows on click if one of them is currently active.
    If only one instance of an application is open and it is on another workspace (in this case the “Restrict to Workspace” option is not enabled), we switch to that workspace and unminimize the window (since the chances are you probably want to see the application in the first place).

We are always listening to feedback on how to improve the behaviour of Icon Tasklist while ensuring it remains simple and approachable to use. If you have an idea on how to improve it further, feel free to file an issue on Budgie’s issue tracker.

Sound
The Sound applet has seen a redesign and now features a dedicated button for mute toggling, as well as leveraging iconography for the System Settings button rather than text.

System Tray
Dating back to the days of Budgie 7 in 2014, Budgie had been using an na-tray implementation also seen in desktop environments such as Cinnamon for the creation and management of system tray icons. Thanks to the incredible work by Solus contributor Campbell Jones, the System Tray has been completely rewritten from scratch, supporting tray icons leveraging the XEmbed Protocol. This new implementation resolves numerous issues such as:

    Background icons not refreshing, resulting in instances where it may appear that multiple icons are overlapping.
    Tray icons not consistently hiding when a panel hides (during “Intelligent” mode).
    Tray icons blinking when panel transparency is set to “Dynamic”
    Tray icons getting hidden when switching icon themes.

Additionally, a configuration option has been added for the System Tray that enables the setting of spacing between individual icons, making it perfect for those that want both their applets and tray icons to be equidistant!

Budgie Desktop Settings
Budgie Desktop View has been updated to provide a clearer differentiation between removing a Panel and removing an applet from a Panel. A dedicated button for removing a panel has been added below the Panel’s applet list, with a description that makes its purpose clearer. This button will not appear when you only have one panel in your Budgie setup. Building on this, we have removed the option to disable the panel removal confirmation dialog. From user reports, the consensus was that this option was too easy to enable, would result in accidental permanent removal of panels more frequently than desired, and lacked a clear user-friendly method to re-enable the prompt.

For those which use Budgie in another language than English, the menu items presented when adding a new Autostart application or command via the Autostart section are now translatable. For any language which has the terms translated, those will be used instead.

Budgie Desktop View
Budgie 10.5.2 is the first release of Budgie to feature our new desktop icons implementation. In releases dating back to the beginning of Budgie 10, we had been using Nautilus' (now legacy) desktop icons implementation to provide such support. When Nautilus removed their desktop icons support, Solus used an older version of Nautilus to retain it, while some other downstream consumers of Budgie used alternative file managers with similar features to that version of Nautilus, such as Nemo. During that time, other desktop environments have strayed away from providing this functionality with some going so far as to remove it entirely, requiring you to install third-party extensions to re-introduce the functionality.

We have always recognized that for many, desktop icons is an important part of their workflow, and so retaining that support in a sustainable manner was paramount for the release of Budgie 10.5.2. We wanted to enable our downstreams to ship Budgie akin to how Solus does without potentially compromising on functionality.

To facilitate this, our goal from the start for Budgie 10.5.2 was to introduce a new, separate project that could be iterated on independently from Budgie Desktop itself. This project needed to be rigorously focused and developed with an understanding of the scope and intent of the project, not trying to be a file manager but rather a method of quickly accessing the content and applications you consider most important.

Last week, we debuted the first generally public development release of Budgie Desktop View and the feedback has been fantastic, giving us numerous places where we can continue to improve this new project, in addition to what we already have planned for the upcoming releases.

Alongside Budgie 10.5.2, we have just released our first stable 1.0 release of Budgie Desktop View, which builds on the features and focus of the prior development releases with a new option to choose between using a single and double-click to launch items. This enables you to curate the launch behaviour to mimic your favorite graphical file manager, many of which have such “click policies”. By default, we default to a single-click behavior.

This release refactors many of the shared logic between the various item and view classes we have as well, reducing references or copies of values (resulting in reduced memory usage) and paving the way for easier iteration on upcoming functionality.

However 1.0 is not the final form Budgie Desktop View will take! Drag & Drop support will be added in 1.1, keyboard navigation with arrow keys will be implemented in 1.2, and once GTK4 introduces its first stable release, we will also be assessing moving Budgie Desktop View to it to take advantage of all the improvements the GNOME team has done to the latest generation of its toolkit.

Budgie has always been about striking a balance in customization and that extends to the support we provide downstreams like Ubuntu Budgie as well. That is why we worked hard on introducing a new vendor-oriented mechanism to enable downstreams to choose a desktop icons implementation that fits them and their users best. Alongside our own “native” Budgie Desktop View implementation, we are providing official support in the Budgie Desktop Settings application for the configuration of DesktopFolder and Nemo. Our OS Integration wiki page provides details on the typical method that downstreams can leverage to override default GSettings key / values, as well as providing the key should any savvy user decide to do some tinkering themselves!

Raven
Thanks to Solus contributor Evan Maddock, Budgie 10.5.2 introduces a new option to choose which side of the screen Raven should be. Prior to Budgie 10.5.2, Raven would always appear on the left side when the main panel and trigger were on the left, and appear on the right when the main panel was anywhere else.

Users will be able to choose between this behaviour, called “Automatic”, as well as left and right sides!

Translations
Thanks to our incredible community members that have stepped up to translate Budgie, Budgie is now more accessible than ever. Budgie 10.5.2 introduces support for three new languages: Afrikaans, Albanian, and Hindi. Budgie now has 40 languages which have 90% or more coverage and we have seen dedicated translators step up for a wide range of languages, many of which are now completely translated, such as:

    Croatian
    Finnish
    Malay
    Punjabi
    Spanish (Argentina)
    Spanish (Chile)

We are still working hard to get Budgie translated 100% into many languages. If you are interested in helping translate Budgie into your language, feel free to reach out!
Other

Here are some other aspects of Budgie that received refinements:

    Animation disabling: Background transitions and workspace switching are no longer always enabled but now honor the option to disable animations in Budgie Desktop Settings
    Budgie’s Application Switcher
        Typically referred to as the Alt+Tab switcher, this switcher now supports the Ctrl modifier, adding support for more custom keyboard layouts and mappings.
        We now support an option to show all windows from all workspaces in the switcher, enabling you to switch between applications and workspaces simultaneously.
    Budgie Run Dialog can now check keywords, improving search and aligning its behaviour closer to that of Budgie Menu.
    Budgie now provides a new meson option: xdg-appdir
        This option enables downstreams such as openSUSE to use its own stateless XDG path.
    Caffeine Applet: When Caffeine Mode is enabled, the timer will now update the spin button value based on how many minutes are remaining.
    Forward-specific keyboard layout switching can now be done with Alt+Shift.
    Transparency is now supported in background images, falling back to the fixed color or gradient behind it.
    We now provide an option via GSettings to configure the desired screenshot commands, so downstreams can use alternatives to gnome-screenshot.

Bug Fixes

In addition to all the quality of life improvements and features we have added, Budgie 10.5.2 introduces many bug fixes including for some issues dating back years to the early days of Budgie 10.

    Applets
        Fix Workspace Applet allowing more than max supported workspace count. We will now return a -1 on our WM AppendNewWorkspace if we are rejecting more additions of workspaces, which informs our WorkspaceApplet to not show the + button (even if set to always show) and reject drag actions onto new workspaces.
    Panel
        Added missing LEFT and RIGHT panel layouts in the manager, which prevented downstreams and users from using panel.ini files with left or right panels.
        During panel initialization, we will now appropriately set dock-mode if needed, which fixes an issue where the class would only be applied if the dock mode setting actually changed.
        Fix a crash when removing an applet with missing information.
        The Tasklist applet will no longer cause the rest of the panel contents to be thrown into the aether when you have many windows open. You will be able to scroll up / down to get all the windows and we will be working on dedicated buttons in the tasklist applet in Budgie 10.5.3. This resolves two bugs, one from 2014 and another from 2017.
        Regions which do not have any panel widgets / applets will no longer be shown, allowing applets to take up more space and eliminates weird spacing related issues.
        When changing away from dock mode on a panel, we will now correctly remove the dock-mode CSS class.
    Raven
        Chromium-based browser notifications no longer display with broken icon images. This was due to the fact that these browsers would prefix the icon with file:/// and Chromium-based browsers would not pass the correct path. We will now default to the fallback mail-unread-symbolic icon for these applications.
        Notifications and Notification Groups can no longer be selected, which would result in a visual change with no obvious or easy way to deselect them. There are no functional changes, as there are no actions which make use of the selection of Notifications or Notification Groups.
        Notifications are no longer appended to Notification Groups, resulting in older Notifications being higher in a Notification Group’s list than newer ones.
        The Sound widget will no longer allow raising the volume above 100% when the option is off.
        The MPRIS player will correct the album art URLs provided by Spotify, which would otherwise be misreported by Spotify, resulting in images which could not be found.
    Other
        Budgie Popovers will now properly handle window scale factors.
        Crash fixes related to the usage of Wnck have been resolved.
        Fix some custom keyboard shortcuts and media keys not correctly applying after boot or reboot.
        Night Light will now appropriately start or end if an application has the fullscreen state amongst its many states, and not just being fullscreen. This is useful if you have an application which is fullscreen and above or below other windows, is sticky (maintains position regardless of workspace), shaded, etc.


v10.5.1 Official announcement can be found here:
https://getsol.us/2019/10/03/budgie-and-its-army-of-gnomes/

Text of the announcement reproduced below:
Budgie 10.5.1 is the first minor release of the Budgie 10.5 series, introducing a multitude of quality-of-life changes, bug fixes, and support for new GNOME Stacks. This Budgie 10.5 series release also brings new and updated translations thanks to our amazing community!
Bug Fixes

Bug fixes are the cornerstone of Budgie 10.5 series releases, ensuring existing Budgie user experiences are smoother than ever.

Budgie 10.5.1 introduces some bug fixes around Budgie Menu artifacting, notifications, improving window raise performance, and more. Let’s break down the big items that were addressed!

    Budgie Menu
        Menu artificating (such as window borders still showing in some cases) is now fixed.
        Menu items are now sorted using locale linguist rules.
    IconTasklist
        Fixed instances of window tracking in multi-window scenarios by invalidating our window on close in our AbominationRunningApp and picking another window of the same WM_CLASS.
        Fixed the ability to move non-favorited running applications / windows in IconTasklist across grouping and non-grouping modes. These are now allowed to intermingle with your favorited applications without concern for a panel crash. We’re doing this by more heavily leveraging our AbominationRunningApp to provide more consistent window-specific IDs.
    Raven
        Notification body alignment is now properly justified.
        Notifications will now properly wrap using WORD_CHAR, so we’ll be more aggressive on wrapping on words when possible, but fallback to characters for longer running strings like URLs.
        Application controls in the Sound applet will now handle Gvc ChannelMap changes. This is useful since some applications do not provide accurate GvcStream volume immediately when creating their stream, such as Firefox when starting a video. We’ll now ensure we’re updating those values and ensuring applications like Firefox more accurately reflect muted states over Gvc.
    Polkit: We now correctly handle user dismissing authentication dialogs
    WM: We now enforce an instant auto raise of windows when the focus-mode is set to mouse over / mouse focus and 250ms on click, resulting in speedy window raising.

Quality of Life

Budgie 10.5.1 introduces a few new goodies to make your Budgie experience, as well as those of our Budgie theme authors, even better!
Budgie Desktop Settings
2019/10/Budgie Desktop Settings Fonts

Budgie 10.5.1 introduces hinting and anti-aliasing settings in our Fonts section of Budgie Desktop Settings, allowing you even more flexibility with how document, interface, monospace, and window title fonts render:

    For font hinting, you can choose between a range of options ranging from no font hinting to full font hinting.
    For antialiasing, you can choose between subpixel antialiasing, standard grayscale, and no antialiasing.

GNOME Stack Support

Budgie 10.5.1 provides support for several GNOME stack releases, allowing for an ever growing amount of Budgie users to get the latest updates! Budgie supports GNOME 3.30, 3.32, and now 3.34, including recent changes in GNOME Settings Daemon.

Thanks to the folks over at Ubuntu Budgie for their patches, it’s greatly appreciated!
Icon Tasklist
2019/10/Budgie Desktop Icon Tasklist Hover

If you have a single window open for a given IconButton in the Icon Tasklist, we will now update the tooltip when you hover over.
Workspaces
2019/10/Budgie Desktop Settings Desktop

Budgie 10.5.1 introduces the ability to have persistent workspaces created at the launch of Budgie, with a configurable amount of default workspaces.

Under the Desktop section of Budgie Desktop Settings, you’ll find a new option called “Number of virtual desktops”, where you can go from just having one workspace up to eight! A perfect opportunity to hide away all those Electron apps you’re ashamed to be running!

If you want more workspaces dynamically, you can still use our Workspace Applet to add more as you need them.
Styling

Budgie 10.5.1 introduces a multitude of new CSS classes to ease Budgie Desktop theme development:

    Icon Popover: Now has the icon-popover class
    Night Light Applet: The container for the Night Light applet popover now uses the night-light-indicator class
    Raven
        MPRIS widget now has an mpris-widget class
        MPRIS widget controls now have a raven-mpris-controls class
        Notifications View now has the raven-notifications-view class
        Internal to the Notifications View, we now provide the raven-header class, as well as dedicated classes for the Do Not Disturb (do-not-disturb) and Clear All Notifications (clear-all-notifications) buttons
        Groups of Notifications (per app) now have the raven-notifications-group class, with the header being raven-notifications-group-header and the individual Notifications having notification-clone classes.
        When no album art is provided for the MPRIS widget, we set the no-album-art class

v10.5 Official announcement can be found here:
https://getsol.us/2019/03/17/solus-4-released/

Text of the announcement reproduced below:
Applets
Budgie Menu

This Budgie release introduces a few refinements to Budgie Menu. We no longer show applications multiple times in non-compact mode when headers are turned off. We will also attempt to eliminate the “Sundry” category by automatically moving them to an “Other” category if the category is available.

Caffeine Mode

Budgie 10.5 introduces a new applet called Caffeine Mode. Caffeine Mode is designed to ensure your system does not automatically suspend, lock, or dim when you’re hard at work.

Caffeine Mode supports:

    Notifications when it is turned on or off
    Setting a timer to automatically turn off Caffeine Mode
    Turning up your display brightness to max or a designated brightness level

We’d like to thank yursan9 for their amazing work on this applet!
Icon Tasklist

Budgie 10.5 provides a massive upgrade to the IconTasklist applet. Our new IconTasklist applet has improved application detection to more consistently group applications and introduces a brand new IconTasklist popover experience.

This new popover design enables you to:

    Close all instances of the selected application
    Easily access per-window controls for marking it always on top, maximizing / unmaximizing, minimizing, and moving it to various workspaces.
    Quickly favorite / unfavorite apps
    Quickly launch a new instance of the selected application
    Scroll up or down on an IconTasklist button when a single window is open to activate and bring it into focus, or minimize it, based on the scroll direction.
    Toggle to minimize and unminimize various application windows

Additionally, this new popover design enables you to take advantage of custom application actions by supported apps, such as launching a private window in Firefox, composing a new message in Geary, and more!
Raven

Raven, our widget and notification center, has seen improvements in Budgie 10.5.
Calendar

You can now enable week numbers for the Calendar widget in Raven. This can be done easily by going to the Raven section of Budgie Desktop Settings and toggling on “Enable display of week numbers in Calendar”.
Notifications

Budgie 10.5 introduces improved notification management. With this release, notification management is no longer a “clear all or nothing” scenario. Notifications are grouped on a per-app basis and you’re in control of whether or not you want to:

    Clear all notifications
    Clear all notifications for a specific app
    Clear a specific notification for an app

Building on this, notification summaries and descriptions are now properly summarized in their Notification popups. We will also no longer store notifications for:

    Power, such as automatic suspend and wake-from-suspend notifications
    Printer notifications, such as those for network printers

Sound

Our Sound widgets have been completely rewritten and redesigned! We’ve broken up the widgets into Sound Output and Sound Input, fixed some long-standing bugs, and introduced long sought after features.

For Sound Output, you can now enable the “Allow raising volume above 100%” option to crank up your volume to 150%! Great for parties or movie watching.

Controlling your volume on a per-application basis has never been easier. With our new Sound Output widget, you can now control each application as well as mute them right from Raven! No longer do you need need to dive into the Sound settings in GNOME Control Center or install a third-party tool like pavucontrol. Applications which utilize ALSA for sound playback will also have less verbose names, so you can expect to see applications like mocp (music-on-console player) showing up as “mocp” rather than “ALSA plug-in [mocp]”

With both the Sound Output and Input widgets, you can easily switch between devices, and the functionality for device switching has been rewritten to be more reliable in cases of plugging in a new device or removing an existing one.

Last but not least, in the event you have no output or input devices, we’ll automatically hide the respective widget in Raven! Plug in a device and they’ll automatically show up!
Personalization

We strongly believe that Budgie should provide a balanced, curated desktop experience for our users, enabling a reasonable level of personalization out-of-the-box and empower our users (and downstreams such as Ubuntu Budgie) to open up a world of possibilities with Budgie applets.

Budgie 10.5 introduces a wider array of personalization options via our Budgie Desktop Settings application. Let’s go over the various sections which have been refinements!
Style

Budgie 10.5 builds on our existing support for selecting various cursor, icon, and widget (GTK) themes by ensuring that the options we present to users for icons and widgets are more likely to work well with Budgie.

To do this, we have implemented a blacklist of Icon and GTK themes which are known to not provide our users the most optimal experience. For GTK Themes, we blacklist themes such as Adwaita, Clearlooks, Industrial, etc. which are provided by GNOME and are largely aimed at supporting GNOME Shell. For Icon Themes, we blacklist Breeze and the Solus SC Icon Theme (largely leverages Papirus). Should you desire, you can still switch to these themes through a third-party tool such as GNOME Tweaks.

Thanks to the hard work of EbonJaeger, you can choose the position in which Notification pop-ups are displayed. By default, Notifications will display in the top right of your screen, however that can now be changed to any corner of your screen!

For vendors, we now provide the gschema key to hide the “Built-in theme” option. For Solus 4, we leverage this option to hide such built-in “internal” theme and prioritize our work on surfacing third-party GTK themes such as Plata.
Raven

Budgie 10.5 introduces a new section to Budgie Desktop Settings for personalizing Raven. This is where you would go to allow raising volume above 100% as well as toggle various widgets. We provide options for:

    Allowing the raising the volume above 100%
    Enabling the display of week numbers in the Calendar widget
    Toggling Raven widgets
        Calendar
        Sound Output
        Microphone / Sound Input
        Media Playback Controls (MPRIS)
        Power Strip (Quick Access to Budgie Desktop Settings, Lock, and Logout)

Windows

The Windows section of Budgie Desktop Settings introduces options for:

    Center new windows on screen (when possible).
    Disabling Night Light mode when a window becomes full-screen. This option will automatically re-enable Night Light mode when leaving fullscreen. This is great for late night gaming or movie watching.
    Enabling window focus change on mouse enter and leave instead of based on clicking on a window.

Other

Some other changes / fixes of note:

    Added dedicated CSS classes for Sound widgets (apps-list, devices-list, sound-devices) as well as various popovers to make it easier for theme developers.
    We now prevent the dragging of desktop icons into the IconTasklist, given its purpose is to show favorited and/or active windows.

Copyright © 2015-2019 Solus Project.

v10.4: Official announcement can be found here:
https://solus-project.com/2017/08/15/solus-3-released/

Text of the announcement reproduced below:
Budgie 10.4 now has maximize and unmaximize animations for applications.

In this release of Budgie, the alt+tab switcher will now prefer the theme
icon instead of the X11 icon where possible. Shift+Alt+Tab support has
also been implemented, enabling you to go backwards in the Alt+Tab dialog.

This release introduces a new applet, Night Light, which can help reduce
eye strain by reducing your display’s blue light by making your screen
“warmer”. This applet integrates into the Night Light functionality
provided in Mutter 3.24.x and provides quick access to toggling Night
Light on/off, as well as:

-Changing the schedule between “Sunset to Sunrise” and “Manual” (which is
configured in GNOME Control Center)
-Temperature of the display when enabled
-One-click access to launch your Display settings

The Places Indicator applet also received some love this release, with a
new option to always expand the places section when the applet is shown.
The whole Places section header is now a clickable button, making
toggling the section easier. The Places Applet icon has also been
changed to a more apt folder icon, better representing “places” rather
than “disks” as previously presented.


The Calendar widget in Raven will now remove the date selection if you
change the month or year.
The Icon Tasklist applet no longer has a list of “derper” applications
for which we’d override the icon. If a .desktop file is found, use the
icon referenced in it.
The User Indicator now has updated and refined iconography thanks to Sam Hewitt.

Budgie Menu

Building upon the lessons learned when (and inspiration from) implementing
the Brisk Menu for MATE, searching has been completely overhauled. We now
support the use of categories for searching and provide a predictable, sane
search mechanism. Items that previously would not show up as expected, such
as searching for “Displays”, are now resolved.

For items that would show up in excess, we now de-duplicate search results
to only showing unique entries when we’re in “search mode” or “super compact”
mode (in other words, no headers or sidebar categories).

We now dynamically compute scores for a given entry during search in relation
to the search term. Assuming the entry is relevant, we’ll display results
in a given order and allow terms to match and display higher up in the list
depending on how close it is to the term, the contents, how much a string
is matched, etc.

Panels

Vertical Panels

In Budgie 10.4, you can now set vertical panels on the left and right sides
of your display. Popovers will correctly indicate (with its “tail”) the
point of origin, we’ve done extensive work to ensure all of our animations
and applets will display and adjust depending on if they are on
(or originating from) a horizontal or vertical panel, and Raven will account
for right-side panels and slide out from underneath the panel, as well as
anchor to left panels when no horizontal or right panel exists.

Transparency

With these new panels, you will now also be able to control the panel
transparency (via our new Settings app) with three modes:

-None: The panel is always opaque.
-Dynamic: The panel is opaque when there is a maximized window on the workspace, or Raven is open, otherwise it’s transparent.
-Always: The panel is always transparent.

Docks

As if Budgie panels couldn’t improve more, we’ve also introduced a Dock
mode for panels, enabling you to put a dock on any side of your display!

This Dock mode also uses a custom CSS class, which means theme developers
have the ability to implement custom styling.

Popovers

For Budgie 10.4, we implemented the Budgie.Popover widget, enabling us to
replace our usage of Gtk.Popover and fix a long-standing issue with
inconsistent popover animations, for example Budgie Menu animating across
the screen if the user’s panel (and the menu applet) was at the bottom.

Furthermore, this Popover widget enables more granular positioning
regardless of its origin (top, bottom, left, or right). This granular
positioning helped to provide us the opportunity to implement panels for
all sides of your display!

Settings

Budgie 10.4 moves Settings out of Raven and into a dedicated application.
This new Budgie Settings application enables us to improve the user
experience of managing panels, applets, and their respective settings,
as well as providing us the opportunity to describe what particular
settings may do, with the classic example being “Disable unredirection
of windows”. To open Budgie Settings, the behavior of the Settings button
at the bottom of Raven has been changed to open Budgie Settings instead
of GNOME Control Center. You can also pin our Settings application to
your panel, like you would any application, and launch it via Budgie Menu.

n the image above, you can see the management of the Bottom Panel. We
have split panel management into two sections, with Applets being the
primary section (as we anticipate users primarily making changes to
applets) and Settings. Similar to the behavior of prior Budgie releases,
you can move applets around using the up or down arrow buttons, or delete
them. These buttons are positioned at the top of the list to make them
more easily accessible for lower-resolution displays.

To the right of the applet list, you have a dedicated “Add applet” button
and settings for the selected applet below.

In the Settings section of a panel, a multitude of options are exposed, such as:

-Position of the panel
-Size of the panel (height for vertical panels, width for horizontal panels)
-Auto-hide settings (including Intellihide, which is great for Dock mode)
-Transparency settings (as discussed in the Panels -> Transparency section of
this blog post)
-Shadow (a decorative drop shadow)
-Stylize region
-Dock mode

Budgie Settings also enables you to manage the autostarting of applications,
eliminating the need for a secondary tool such as GNOME Tweak Tool.

Other Fixes and Improvements

In addition to the above mentioned goodies, some other fixes include:

The Clock applet will now only redraw when the label contents would change.
This resolves unnecessary redraws of the applet.
daemon: Fixed the order of left-side window buttons, ensuring that the window
decoration style is consistent between native and CSD window decorations.
wm: Ensuring we purge old backgrounds from the cache.

Copyright © 2015-2017 Solus Project.
